let mysql = require("mysql");
var util = require("util");

let { config } = require("./config");

let pool = mysql.createPool(config);

pool.getConnection((err, connection) => {
  if (err) {
    if (err.code === "PROTOCOL_CONNECTION_LOST") {
      console.error("Database connection was closed.");
    }
    if (err.code === "ER_CON_COUNT_ERROR") {
      console.error("Database has too many connections.");
    }
    if (err.code === "ECONNREFUSED") {
      console.error("Database connection was refused.");
    }
  }
  if (connection) {
    console.log("Connected to database");
    connection.release();
  }
  return;
});

pool.query = util.promisify(pool.query); // Magic happens here.

module.exports = { pool };
